## org.apache.commons.collections.functors
Class InstantiateFactory

    java.lang.Object
      org.apache.commons.collections.functors.InstantiateFactory

All Implemented Interfaces:
  java.io.Serializable, Factory

    public class InstantiateFactory

extends java.lang.Object
implements Factory, java.io.Serializable

Factory implementation that creates a new object instance by reflection.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`InstantiateFactory(java.lang.Class classToInstantiate)` Constructor that performs no validation.
`InstantiateFactory(java.lang.Class classToInstantiate, java.lang.Class[] paramTypes, java.lang.Object[] args)` Constructor that performs no validation.

Method Summary
`java.lang.Object` `create()` Creates an object using the stored constructor.
`static Factory` `getInstance(java.lang.Class classToInstantiate, java.lang.Class[] paramTypes, java.lang.Object[] args)` Factory method that performs validation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstantiateFactory

    public InstantiateFactory(java.lang.Class classToInstantiate)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `classToInstantiate` - the class to instantiate

### InstantiateFactory

    public InstantiateFactory(java.lang.Class classToInstantiate,
                              java.lang.Class[] paramTypes,
                              java.lang.Object[] args)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `classToInstantiate` - the class to instantiate
    `paramTypes` - the constructor parameter types, not cloned
    `args` - the constructor arguments, not cloned

Method Detail

### getInstance

    public static Factory getInstance(java.lang.Class classToInstantiate,
                                      java.lang.Class[] paramTypes,
                                      java.lang.Object[] args)

  Factory method that performs validation.

  Parameters:
    `classToInstantiate` - the class to instantiate, not null
    `paramTypes` - the constructor parameter types
    `args` - the constructor arguments
  Returns:
    a new instantiate factory

### create

    public java.lang.Object create()

  Creates an object using the stored constructor.

  Specified by:
    `create` in interface `Factory`
  Returns:
    the new object

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.